
Redmine - Defect #2733

Priority CSS Class in issue description is fault-prone

2009-02-12 17:36 - Leonard Brünings

Status: Closed Start date: 2009-02-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 0.8.1   

Resolution: Fixed Affected version:  

Description

The priority CSS class in issue description can be wrong if

your priority contains spaces.

Priority: Keep in Mind

=> CSS classes: priority priority-Keep in Mind

As you can see the spaces are not masqueraded.

I suggest either use the same approach as in the issue list by

just enumerating the priorities eg. priority-1 or masquerading

the spaces with underscores or dashes.

Related issues:

Related to Redmine - Defect #2753: Status CSS Class in issue description is f... Closed 2009-02-15

Associated revisions

Revision 2461 - 2009-02-13 18:29 - Jean-Philippe Lang

Removes invalid css class on issue details (#2733).

History

#1 - 2009-02-12 22:28 - Jean-Philippe Lang

just enumerating the priorities eg. priority-1

 That is the expected behaviour.

Can you give the exact view or URL where a CSS class based on priority name appears?

#2 - 2009-02-12 23:55 - Leonard Brünings

Jup, just look at the sourcecode of this page.

<td class="priority"><b>Priority:</b></td><td class="priority priority-Normal">Normal</td>

#3 - 2009-02-13 18:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8.1

- Resolution set to Fixed

Oh, you're right. This is removed in r2461.

The css class that you're expecting (eg. priority-5) was set on the div that wraps the issue details.
